Bug 1119714 - [abrt] gedit: g_menu_model_get_n_items(): gedit killed by SIGSEGV
Summary: [abrt] gedit: g_menu_model_get_n_items(): gedit killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gedit
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b44f65a437b83d5314da3a7c4e2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-15 10:48 UTC by sangu
Modified: 2015-12-02 16:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:15:52 UTC


Attachments (Terms of Use)
File: backtrace (41.85 KB, text/plain)
2014-07-15 10:48 UTC, sangu
no flags Details
File: cgroup (180 bytes, text/plain)
2014-07-15 10:48 UTC, sangu
no flags Details
File: core_backtrace (8.53 KB, text/plain)
2014-07-15 10:48 UTC, sangu
no flags Details
File: dso_list (11.41 KB, text/plain)
2014-07-15 10:48 UTC, sangu
no flags Details
File: environ (2.54 KB, text/plain)
2014-07-15 10:48 UTC, sangu
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-15 10:48 UTC, sangu
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-15 10:48 UTC, sangu
no flags Details
File: maps (45.67 KB, text/plain)
2014-07-15 10:48 UTC, sangu
no flags Details
File: open_fds (695 bytes, text/plain)
2014-07-15 10:48 UTC, sangu
no flags Details
File: proc_pid_status (939 bytes, text/plain)
2014-07-15 10:48 UTC, sangu
no flags Details
File: var_log_messages (352 bytes, text/plain)
2014-07-15 10:48 UTC, sangu
no flags Details

Description sangu 2014-07-15 10:48:43 UTC
Description of problem:
Crash in glib2-2.41.2-1.fc21, gtk3-3.13.4-1.fc21

Version-Release number of selected component:
gedit-3.13.2-1.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        gedit
crash_function: g_menu_model_get_n_items
executable:     /usr/bin/gedit
kernel:         3.16.0-0.rc4.git0.1.fc21.1.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_menu_model_get_n_items at /lib64/libgio-2.0.so.0
 #1 find_extension_point_section at /usr/lib64/gedit/libgedit.so
 #2 _gedit_app_extend_menu at /usr/lib64/gedit/libgedit.so
 #3 gedit_app_activatable_extend_menu at /usr/lib64/gedit/libgedit.so
 #4 gedit_docinfo_plugin_app_activate at /usr/lib64/gedit/plugins/libdocinfo.so
 #5 peas_extension_set_foreach at /lib64/libpeas-1.0.so.0
 #6 gedit_app_startup at /usr/lib64/gedit/libgedit.so
 #7 _g_closure_invoke_va at /lib64/libgobject-2.0.so.0
 #10 g_application_register at /lib64/libgio-2.0.so.0
 #11 g_application_real_local_command_line at /lib64/libgio-2.0.so.0

Comment 1 sangu 2014-07-15 10:48:47 UTC
Created attachment 918118 [details]
File: backtrace

Comment 2 sangu 2014-07-15 10:48:48 UTC
Created attachment 918119 [details]
File: cgroup

Comment 3 sangu 2014-07-15 10:48:49 UTC
Created attachment 918120 [details]
File: core_backtrace

Comment 4 sangu 2014-07-15 10:48:50 UTC
Created attachment 918121 [details]
File: dso_list

Comment 5 sangu 2014-07-15 10:48:51 UTC
Created attachment 918122 [details]
File: environ

Comment 6 sangu 2014-07-15 10:48:52 UTC
Created attachment 918123 [details]
File: exploitable

Comment 7 sangu 2014-07-15 10:48:53 UTC
Created attachment 918124 [details]
File: limits

Comment 8 sangu 2014-07-15 10:48:55 UTC
Created attachment 918125 [details]
File: maps

Comment 9 sangu 2014-07-15 10:48:56 UTC
Created attachment 918126 [details]
File: open_fds

Comment 10 sangu 2014-07-15 10:48:57 UTC
Created attachment 918127 [details]
File: proc_pid_status

Comment 11 sangu 2014-07-15 10:48:58 UTC
Created attachment 918128 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-11-04 15:17:44 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-12-02 03:15:55 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.